function urecon = AlternatingProjections(umeas, k, Gamma, z, R, nr_of_iterations)

n2 = length(umeas);
urecon = umeas;
nGammaA = ceil(Gamma(1)*n2/(2*pi));
nGammaB = floor(Gamma(2)*n2/(2*pi));

N = ceil(1.1*k*R);  % compute cutoff parameters for individual sources

for iteri = 1 : nr_of_iterations
    
    shelp = Projection(urecon, k, z, N);  % apply P_{N}^{z}
    
    shelp(1:nGammaA-1) = 0; shelp(nGammaB+1:end) = 0;  % apply P_Gamma
    
    urecon = umeas + shelp;
    
end

end