function Rl = EstimateRadius(uinfty, k, zl, threshold)

n2 = length(uinfty);

% compute discretization points of the far field pattern
theta = (0:n2-1)' * 2*pi/n2;
c = cos(theta); s = sin(theta);
xhat = [c, s];  % measurement points
clear theta c s

% shift far field pattern
shiftedfarfield = exp(1i*k*xhat*zl) .* uinfty;

% compute Fourier coefficients of the shifted far field
shiftedfft = fft(shiftedfarfield) / n2;

% estimate radius of the support around shifted origin
ltwofft = norm(shiftedfft, 2);

ltwofftpartial = zeros(n2/2-1,1);
for iteri = 1:n2/2-1
    
    ltwofftpartial(iteri) = norm([shiftedfft(1:iteri); flipud(shiftedfft(end:-1:end-iteri))], 2);
    
end

quotient = ltwofftpartial / ltwofft;
bla = 1-quotient < threshold;

Rl = find(bla, 1) / k;

