function uinfty = Projection(uinfty, k, z, N)

n = length(uinfty);

% compute discretization points for the far field pattern
theta = (0:n-1)' * 2*pi/n; 
c = cos(theta); s = sin(theta);
xhat = [c, s];  % measurement points
clear theta c s

% shift the origin
uinfty = exp(1i*k*xhat*z) .* uinfty;

% compute Fourier transform 
farfieldfft = sqrt(2*pi)/n *fft(uinfty);

% cutoff high frequencies
farfieldfft((N+2) : (end-N)) = 0;

% compute inverse Fourier transform
uinfty = (n/sqrt(2*pi)) * ifft(farfieldfft);

% shift back the origin
uinfty = exp(-1i*k*xhat*z) .* uinfty;


end