function uinfty_shifted = ShiftOrigin(uinfty, k, z)

n2 = length(uinfty);

% compute discretization points for the far field pattern
theta = (0:n2-1)' * 2*pi/n2; 
c = cos(theta); s = sin(theta);
xhat = [c, s];  % measurement points
clear theta c s

% shift the origin
uinfty_shifted = diag(-exp(1i*k*xhat*z)) * uinfty;


end