function ShowSquaredSingularValuesFR(nvec, R, k)

sigma2 = 2*pi * (k*R)^2*pi * ...
    (besselj(nvec,k*R).^2-besselj(nvec-1,k*R).*besselj(nvec+1,k*R));

nvec = [-fliplr(nvec(2:end)) nvec];
sigma2 = [fliplr(sigma2(2:end)) sigma2];

asymptote = 2*pi*2*sqrt((k*R)^2-nvec.^2);
index = abs(nvec)<k*R+1;

figure()
plot(nvec,sigma2,'Color',[0,0,1],'LineStyle','-','LineWidth',2)
hold on
plot(nvec(index),asymptote(index),'Color',[0,0.5,0],'LineStyle','--','LineWidth',2)
hold off
title('Squared Singular Values', 'Fontsize', 20)
set(gca,'Fontsize',20)
axis square


end