function ShowWave(source_position, source_strength, k, R)

lambda = 2*pi/k;
xvec = -R:lambda/100:R;

[X,Y] = meshgrid(xvec);

nr_of_sources = size(source_position,2);

u = zeros(size(X));
for iteri = 1 : nr_of_sources
    
    u = u + source_strength(iteri) * 1i/4 ...
        * besselh(0,k*sqrt((source_position(1,iteri)-X).^2 + (source_position(2,iteri)-Y).^2));
end


figure()
imagesc(xvec, xvec, real(u))
axis([-R,R,-R,R])
axis square xy
title('Wave Field (real part)','Fontsize',20)

end